import { ListenEvent } from '../PropsType';
export declare const DEFAULT_URL = "data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7";
export declare const DEFAULT_EVENTS: ListenEvent[];
export declare const hasIntersectionObserver: boolean;
export declare const modeType: {
    event: string;
    observer: string;
};
export declare const call: (fn: any) => void;
export declare function setImage(element: HTMLMediaElement | HTMLIFrameElement | HTMLImageElement | HTMLElement, imagePath: string): void;
export declare function loadImage(imagePath: string): Promise<string>;
export declare function addCssClassName(element: HTMLImageElement | HTMLElement, cssClassName: string): void;
export declare function throttle(fn: any, threshold?: number, scope?: any): () => void;
export declare function debounce(func: any, wait: any, immediate?: any): () => any;
